# Poco::Data

# class UnknownTypeException

Library: Data
Package: DataCore
Header: Poco/Data/DataException.h

## Inheritance

Direct Base Classes: DataException

All Base Classes: DataException, Poco::Exception, Poco::IOException, Poco::RuntimeException, std::exception

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### UnknownTypeException

UnknownTypeException(
int code = 0
);

### UnknownTypeException

UnknownTypeException(
const UnknownTypeException & exc
);

### UnknownTypeException

UnknownTypeException(
const std::string & msg,
int code = 0
);

### UnknownTypeException

UnknownTypeException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### UnknownTypeException

UnknownTypeException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~UnknownTypeException

~UnknownTypeException();

## Member Functions

### className

const char * className() const;

See also: Poco::Data::DataException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const;

See also: Poco::Data::DataException::name()

### operator =

UnknownTypeException & operator = (
const UnknownTypeException & exc
);

### rethrow

void rethrow() const;

See also: Poco::Data::DataException::rethrow()